List token payrolls
curl --request GET \
--url https://app.toku.com/api/tokuApi/v1/getAllTokenPayrolls \
--header 'Authorization: Bearer <token>' \
--header 'x-role-type: <x-role-type>'import requests
url = "https://app.toku.com/api/tokuApi/v1/getAllTokenPayrolls"
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-role-type': '<x-role-type>', Authorization: 'Bearer <token>'}
};
fetch('https://app.toku.com/api/tokuApi/v1/getAllTokenPayrolls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payrolls": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"subName": "<string>",
"entity": "<string>",
"payPeriodStart": "2023-11-07T05:31:56Z",
"payPeriodEnd": "2023-11-07T05:31:56Z",
"payDate": "2023-11-07T05:31:56Z",
"currentStep": "<string>",
"type": "<string>",
"isStablecoinOnlySettlement": true,
"externalPayrollID": "<string>",
"fiatCurrency": "<string>",
"tokenTypeID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exchangeRate": 123,
"isStablecoinPayrollComplete": true,
"isFiatPayrollComplete": true,
"isSyncedFromHRIS": true,
"selectedEmployeeIds": [
"<string>"
],
"importedData": {},
"processedData": {},
"settlementData": {},
"isCsvUploaded": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPlaceholder": true,
"createdByID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastModifiedByID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payrollSyncedSource": "<string>",
"payrollGroup": "<string>",
"integrationEntityName": "<string>",
"payrollIntegrationEntityId": "<string>",
"fireblocksConfig": {},
"contributorsInTokenPayroll": [
{}
],
"payrollEntity": {}
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Get All Token Payrolls
Returns token payroll runs, optionally filtered by payroll entity.
GET
/
getAllTokenPayrolls
List token payrolls
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Query Parameters
Optional payroll entity filter.
Response
Successful response
Token payroll runs
Show child attributes
Show child attributes
⌘I
